<%-- 
    Document   : PlayerInfo
    Created on : 04-11-2018, 20:57:35
    Author     : install1
--%>

<%@page import="java.text.DecimalFormat"%>
<%@page import="FunctionLayer.Maps"%>
<%@page import="java.util.List"%>
<%@page import="FunctionLayer.Users"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Player Stats</title>
    </head>
    <body>
        <div class="container">
            <div class="row">
                <div class="col-sm">
                    <div align="center">
                        <div id="overview" class="btn btn-info" >Overview</div>
                    </div>
                    <%  String AdminName = (String) request.getSession().getAttribute("AdminName");
                        if (AdminName != null) {
                    %>
                    <h1>You are logged in as: <%=AdminName%> </h1>
                    <%
                        }
                    %>
                    <%
                        String VerifyAdmins = session.getAttribute("VerifyAdmin") == null ? "0" : String.valueOf(session.getAttribute("VerifyAdmin"));
                        int VerifyAdmin = Integer.valueOf(VerifyAdmins);
                        StringBuilder sb = new StringBuilder();
                        String SteamID64 = (String) request.getSession().getAttribute("CommunityID");
                        if (SteamID64 != null) {
                            sb.append("https://steamcommunity.com/profiles/").append(SteamID64);
                        } else {
                            sb.append("https://steamcommunity.com/profiles/");
                        }
                        List<Float> PlayerTimes = (List<Float>) request.getSession().getAttribute("PlayerTimes");
                        List<Integer> PlayerPositions = (List<Integer>) request.getSession().getAttribute("PlayerPosition");
                        List<Maps> allPlayerRelatedMaps = (List<Maps>) request.getSession().getAttribute("SpecificMaps");
                        Users user = (Users) request.getSession().getAttribute("SpecificPlayer");
                        DecimalFormat df = new DecimalFormat();
                        df.setMaximumFractionDigits(1);
                        if (user != null) {
                    %>  
                    <div align="center">
                        <br>
                        <br>
                        <a target="_blank" href="<%out.println(sb.toString());%>"> 
                            <button style="border: none"  
                                    class="list-group-item list-group-item-action" >
                                <span class="fake-link"  > 
                                    <div> <%out.println(user.getName());%></div>
                                    <div> <%out.println(user.getSteamID());%></div>
                                    <div>
                                        <img src="<%out.println(user.getAvatar()); %>">
                                    </div>
                                    <div>
                                        <% out.print("Rank: " + user.getRank()); %>
                                    </div>
                                    <div>
                                        <% out.print("Points: " + user.getPoints()); %>
                                    </div>
                                </span> </button>
                        </a>
                    </div>
                    <%
                        for (int i = 0; i < PlayerTimes.size(); i++) {
                    %> 
                    <div align="center" class="group"> 
                        <div class="element" data-id="<%=allPlayerRelatedMaps.get(i).getName()%>" >
                            <span href="#" class="fake-link" >
                                <%out.println(" Map " + allPlayerRelatedMaps.get(i).getName());%>
                            </span> 
                        </div>
                    </div>
                    <div align="center"> <%out.println("Map Position: " + PlayerPositions.get(i)); %></div>
                        <div align="center">  <%out.println("Time: 0" + (int) Math.floor(PlayerTimes.get(i))
                                    + ":" + (df.format((PlayerTimes.get(i) - Math.floor(PlayerTimes.get(i))) * 100)));%></div>
                    <div align="center"> <%out.println("Map Points: " + allPlayerRelatedMaps.get(i).getPoints() + "/100"); %></div>
                    <%
                        if (VerifyAdmin > 0) {
                    %>
                    <div align="center">
                        <button value="<%out.print(user.getSteamID());%>" id="<%out.print(allPlayerRelatedMaps.get(i).getName());%>" onclick="DeleteEntryFunc(this.id, this.value)" >
                            <span href="#" class="fake-link" >
                                <%out.println("Delete Entry");%> 
                            </span>   
                        </button>
                    </div>
                    <%
                        }
                    %>
                    <br> 
                    <br> 
                    <%
                            }
                        }
                    %>
                </div>
            </div>
        </div>
        <style>
            .fake-link {
                color: #007bff;
                text-decoration: underline;
                cursor: pointer;
            }
        </style>
        <script type="text/javascript">
            
        </script>
        <script>
            $("#overview").click(function () {
                document.getElementById('1112').submit();
            });
            $('.group .element').click(function () {
                id = $(this).attr('data-id');
                document.getElementById("mapindexes").value = id;
                document.getElementById('1111').submit();
            });
            function DeleteEntryFunc(e, e1)
            {
                document.getElementById("PlayerRelatedMap").value = e;
                //this one faulty
                document.getElementById("MapPositionindex").value = e1;
                document.getElementById('1113').submit();
            }
        </script>
        <form id="1111" name="mapfnfo" action="FrontController" method="POST">
            <input type="hidden" name="command" value="mapfnfo">
            <input type="hidden" name="mapname" id='mapindexes' value=''>
        </form>
        <form id="1112" name="DisplayContent" action="FrontController" method="POST">
            <input type="hidden" name="command" value="DisplayContent">
        </form>
        <form id="1113" name="DeleteEntry" action="FrontController" method="POST">
            <input type="hidden" name="command" value="DeleteEntry">
            <input type="hidden" name="DeleteIndex" id='MapPositionindex' value=''>
            <input type="hidden" name="PlayerRelatedMap" id='PlayerRelatedMap' value=''>
        </form>
    </body>
</html>
