<%-- 
    Document   : index
    Created on : 21-10-2018, 14:28:06
    Author     : install1
--%>
<%@page import="Presentation.MapBoard"%>
<%@page import="FunctionLayer.Users"%>
<%@page import="FunctionLayer.Maps"%>
<%@page import="java.util.List"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <script src="//ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Maptimers</title>
    </head>
    <body>
        <%  String AdminName = (String) request.getSession().getAttribute("AdminName");
            if (AdminName != null) {
        %>
        <h1>You are logged in as: <%=AdminName%> </h1>
        <%
            }
        %>
        <button type="button" class="btn btn-warning" onclick="AdminLogin()">Admin login</button>
        <div class="row">
            <div class="col-sm-12">
                <div class="text-center">
                    <button type="button" class="btn btn-primary" onclick="DisplayMaps()">Maps</button>
                    <button type="button" class="btn btn-success" onclick="DisplayPlayers()">Players</button>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <div class="text-center">
                    <ul class="list-group" id="Maps" >
                        <div id="MapDiv">
                            <%
                                List< Maps> AllMapColoumns = (List< Maps>) request.getSession().getAttribute("AllMapColoumns");
                                if (AllMapColoumns != null) {
                                    for (int i = 0; i < AllMapColoumns.size(); i++) {
                            %>
                            <button id="<%=AllMapColoumns.get(i).getName()%>" class="list-group-item list-group-item-action" onclick="setValue(this.id);" style="border: none" > <span href="#" class="fake-link" ><%out.print(AllMapColoumns.get(i).getName());%></span>
                            </button>
                            <%
                                }
                            } else { %>
                            <li class="list-group-item disabled">No map Entries, call jenz!</li>
                                <%  } %>
                    </ul>
                </div>
            </div>
        </div>
        <div id="PlayerDiv">
            <%
                List<Users> PlayerLeaderBoard = (List<Users>) session.getAttribute("LeaderBoard");
                List<MapBoard> mapBoard = (List<MapBoard>) request.getSession().getAttribute("MapBoard");
                if (mapBoard != null) {
                    for (int j = 0; j < mapBoard.size(); j++) {
            %>   
            <button class="list-group-item list-group-item-action" id="<%=PlayerLeaderBoard.get(j).getSteamID()%>" style="border: none" onclick="GetplayerPage(this.id);"><span href="#" class="fake-link" > 
                    <div class="d-flex justify-content-between" id="Players">
                        <div>
                            <%out.print(PlayerLeaderBoard.get(j).getSteamID());%>
                        </div>
                        <div>
                            <%out.print(PlayerLeaderBoard.get(j).getName());%>
                        </div>
                        <div>
                            <%out.print("Rank: " + PlayerLeaderBoard.get(j).getRank());%>
                        </div>
                        <div>
                            <%out.print("Points: " + PlayerLeaderBoard.get(j).getPoints());%>
                        </div>
                        <div>
                            <img src="<%out.println(PlayerLeaderBoard.get(j).getAvatar()); %>">
                        </div>   

                    </div>
                </span> </button>
                <%
                    }

                } else {
                %>
            <li class="list-group-item disabled">No Player Entries</li>
                <%  }%>
        </div>
        <SCRIPT LANGUAGE="JavaScript">
            function setValue(count)
            {
                document.getElementById("mapindexes").value = count;
                document.getElementById('1111').submit();
            }
            function GetplayerPage(count)
            {
                document.getElementById("playerindex").value = count;
                document.getElementById('1112').submit();
            }
            function AdminLogin()
            {
                document.getElementById('1113').submit();
            }
            $('#PlayerDiv').hide();
            function DisplayMaps() {
                $('#PlayerDiv').hide();
                $('#MapDiv').show();
            }
            function DisplayPlayers()
            {
                $('#PlayerDiv').show();
                $('#MapDiv').hide();
            }

        </SCRIPT>
        <form id="1111" name="mapfnfo" action="FrontController" method="POST">
            <input type="hidden" name="command" value="mapfnfo">
            <input type="hidden" name="mapname" id='mapindexes' value=''>
        </form>
        <form id="1112" name="playerinfo" action="FrontController" method="POST">
            <input type="hidden" name="command" value="playerinfo">
            <input type="hidden" name="player" id='playerindex' value=''>
        </form>
        <form id="1113" name="adminLogin" action="FrontController" method="POST">
            <input type="hidden" name="command" value="adminLogin">
        </form>
        <style>
            .fake-link {
                color: #007bff;
                text-decoration: underline;
                cursor: pointer;
            }
        </style>
    </body>
</html>
